Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
Class GroovyPagesPageContext

    java.lang.Object
      javax.servlet.jsp.JspContext
          javax.servlet.jsp.PageContext
              org.codehaus.groovy.grails.web.pages.ext.jsp.GroovyPagesPageContext

    public class GroovyPagesPageContext

extends PageContext

A JSP PageContext implementation for use with GSP

Since:
  1.1

  Created: May 1, 2008
Author:
  Graeme Rocher

Field Summary

Fields inherited from class javax.servlet.jsp.PageContext
`APPLICATION, APPLICATION_SCOPE, CONFIG, EXCEPTION, OUT, PAGE, PAGE_SCOPE, PAGECONTEXT, REQUEST, REQUEST_SCOPE, RESPONSE, SESSION, SESSION_SCOPE`

Constructor Summary
`GroovyPagesPageContext()`
`GroovyPagesPageContext(groovy.lang.Binding pageScope)`
`GroovyPagesPageContext(Servlet pagesServlet, groovy.lang.Binding pageScope)`

Method Summary
`Object` | `findAttribute(String name)`
`void` | `forward(String url)`
`Object` | `getAttribute(String name)`
`Object` | `getAttribute(String name, int scope)`
`Enumeration` | `getAttributeNamesInScope(int scope)`
`int` | `getAttributesScope(String name)`
`Exception` | `getException()`
`ExpressionEvaluator` | `getExpressionEvaluator()`
`JspWriter` | `getOut()`
`Object` | `getPage()`
`ServletRequest` | `getRequest()`
`ServletResponse` | `getResponse()`
`ServletConfig` | `getServletConfig()`
`ServletContext` | `getServletContext()`
`HttpSession` | `getSession()`
`VariableResolver` | `getVariableResolver()`
`void` | `handlePageException(Exception e)`
`void` | `handlePageException(Throwable throwable)`
`void` | `include(String url)`
`void` | `include(String url, boolean flush)`
`void` | `initialize(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, String errorPageURL, boolean needSession, int bufferSize, boolean autoFlush)`
`(package private) Object` | `peekTopTag(Class tagClass)`
`JspWriter` | `popBody()`
`(package private) void` | `popTopTag()`
`(package private) void` | `popWriter()`
`BodyContent` | `pushBody()`
`(package private) void` | `pushTopTag(Object tag)`
`(package private) void` | `pushWriter(JspWriter out)`
`void` | `release()`
`void` | `removeAttribute(String name)`
`void` | `removeAttribute(String name, int scope)`
`void` | `setAttribute(String name, Object value)`
`void` | `setAttribute(String name, Object value, int scope)`

Methods inherited from class javax.servlet.jsp.PageContext
`getErrorData`

Methods inherited from class javax.servlet.jsp.JspContext
`pushBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPagesPageContext

    public GroovyPagesPageContext(Servlet pagesServlet,
                                  groovy.lang.Binding pageScope)

### GroovyPagesPageContext

    public GroovyPagesPageContext(groovy.lang.Binding pageScope)

### GroovyPagesPageContext

    public GroovyPagesPageContext()

Method Detail

### popWriter

    void popWriter()

### pushWriter

    void pushWriter(JspWriter out)

### peekTopTag

    Object peekTopTag(Class tagClass)

### popTopTag

    void popTopTag()

### pushTopTag

    void pushTopTag(Object tag)

### pushBody

    public BodyContent pushBody()

  Overrides:
    `pushBody` in class `PageContext`

### popBody

    public JspWriter popBody()

  Overrides:
    `popBody` in class `JspContext`

### initialize

    public void initialize(Servlet servlet,
                           ServletRequest servletRequest,
                           ServletResponse servletResponse,
                           String errorPageURL,
                           boolean needSession,
                           int bufferSize,
                           boolean autoFlush)
                    throws IOException,
                           IllegalStateException,
                           IllegalArgumentException

  Specified by:
    `initialize` in class `PageContext`
  Throws:
    `IOException`
    `IllegalStateException`
    `IllegalArgumentException`

### release

    public void release()

  Specified by:
    `release` in class `PageContext`

### getSession

    public HttpSession getSession()

  Specified by:
    `getSession` in class `PageContext`

### getPage

    public Object getPage()

  Specified by:
    `getPage` in class `PageContext`

### getRequest

    public ServletRequest getRequest()

  Specified by:
    `getRequest` in class `PageContext`

### getResponse

    public ServletResponse getResponse()

  Specified by:
    `getResponse` in class `PageContext`

### getException

    public Exception getException()

  Specified by:
    `getException` in class `PageContext`

### getServletConfig

    public ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in class `PageContext`

### getServletContext

    public ServletContext getServletContext()

  Specified by:
    `getServletContext` in class `PageContext`

### forward

    public void forward(String url)
                 throws ServletException,
                        IOException

  Specified by:
    `forward` in class `PageContext`
  Throws:
    `ServletException`
    `IOException`

### include

    public void include(String url)
                 throws ServletException,
                        IOException

  Specified by:
    `include` in class `PageContext`
  Throws:
    `ServletException`
    `IOException`

### include

    public void include(String url,
                        boolean flush)
                 throws ServletException,
                        IOException

  Specified by:
    `include` in class `PageContext`
  Throws:
    `ServletException`
    `IOException`

### handlePageException

    public void handlePageException(Exception e)
                             throws ServletException,
                                    IOException

  Specified by:
    `handlePageException` in class `PageContext`
  Throws:
    `ServletException`
    `IOException`

### handlePageException

    public void handlePageException(Throwable throwable)
                             throws ServletException,
                                    IOException

  Specified by:
    `handlePageException` in class `PageContext`
  Throws:
    `ServletException`
    `IOException`

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Specified by:
    `setAttribute` in class `JspContext`

### setAttribute

    public void setAttribute(String name,
                             Object value,
                             int scope)

  Specified by:
    `setAttribute` in class `JspContext`

### getAttribute

    public Object getAttribute(String name)

  Specified by:
    `getAttribute` in class `JspContext`

### getAttribute

    public Object getAttribute(String name,
                               int scope)

  Specified by:
    `getAttribute` in class `JspContext`

### findAttribute

    public Object findAttribute(String name)

  Specified by:
    `findAttribute` in class `JspContext`

### removeAttribute

    public void removeAttribute(String name)

  Specified by:
    `removeAttribute` in class `JspContext`

### removeAttribute

    public void removeAttribute(String name,
                                int scope)

  Specified by:
    `removeAttribute` in class `JspContext`

### getAttributesScope

    public int getAttributesScope(String name)

  Specified by:
    `getAttributesScope` in class `JspContext`

### getAttributeNamesInScope

    public Enumeration getAttributeNamesInScope(int scope)

  Specified by:
    `getAttributeNamesInScope` in class `JspContext`

### getOut

    public JspWriter getOut()

  Specified by:
    `getOut` in class `JspContext`

### getExpressionEvaluator

    public ExpressionEvaluator getExpressionEvaluator()

  Specified by:
    `getExpressionEvaluator` in class `JspContext`

### getVariableResolver

    public VariableResolver getVariableResolver()

  Specified by:
    `getVariableResolver` in class `JspContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project